OCC Equities Special Settlements
The OCC Equities Special Settlements dataset is derived from official Options Clearing Corporation records and provides authoritative coverage of non-standard (adjusted) U.S. equity option contracts resulting from corporate actions such as mergers, splits, spin-offs, or special dividends.The dataset includes key identifiers such as the adjusted option symbol and underlying equity symbol, along with detailed settlement mechanics describing how exercise and assignment obligations were resolved. Th
GEThttps://api.devalgoseek.com/api/v1/data/us-equity-opt-ref/occ-eq-spec-settl#
The OCC Equities Special Settlements dataset is derived from official Options Clearing Corporation records and provides authoritative coverage of non-standard (adjusted) U.S. equity option contracts resulting from corporate actions such as mergers, splits, spin-offs, or special dividends.The dataset includes key identifiers such as the adjusted option symbol and underlying equity symbol, along with detailed settlement mechanics describing how exercise and assignment obligations were resolved. This includes information on delivery components, enabling users to accurately interpret post-adjustment contract terms and cash-and-carry outcomes. Data is available on a daily basis starting November 1, 2017, and is designed to support historical research, back-testing, compliance validation, and institutional-grade options analytics involving complex or non-standard contracts.
For more details, please refer to the dataset documentation: OCC Equities Special Settlements Guide.
Advanced Filtering
You can provide one or multiple filter expressions based on the dataset's columns to narrow down the results. For example, StartDate.gt=2023-01-01&StartDate.lt=2023-12-31, Ticker=AAPL.
Please refer to the Advanced Filtering Guide for the extensive reference.
Request#
Query Parameters#
- JSON
- CSV Gzip
Sorting criteria for the results. Provide a column name with optional prefix '+' for ascending order, or prefix with '-' for descending order. Multiple sorting fields may be supported depending on the dataset. If sort prefix is not provided, the ascending order is applied.
A comma-separated list of columns to include in the response. Use this parameter to select only specific fields from the dataset. If not provided, all available columns will be returned.
Possible values: >= 0
Number of records to skip before returning results. To be used with the limit parameter for pagination. If not provided, defaults to 0.
0100Possible values: >= 0 and <= 100000
Maximum number of records to return. Used to control response size and pagination. If not provided, a default limit is applied by the server.
10000100Possible values: [json, csv, csv_gzip]
The type of the data to return
jsonJSON format (default)
jsonCompressed CSV format
csv_gzipResponses#
- 200
- 403
- 422
- 429
JSON, CSV file, or gzip-compressed CSV file, depending on the value of response_format query parameter
- application/json
- text/csv
- application/gzip
- Schema
- Example (auto)
Schema
- Array [
- ]
data object[]required
The date on which the record was created by OCC
20240315The date on which delivery of and payment for product is due to
Symbol name
AAGR1Underlying symbol name
AAGRType of underlying security
SThe currency of the strike price
USDThe total number of components of delivery associated with the settlement of the traded option symbol
1The number of a specific component of delivery that is represented by the record
1The manner in which exercise and assignment activity will be settled
CNSPercentage of the strike price allocated for settlement
100The per-contract number of deliverable units of cash, stocks, bonds, or currencies to be delivered or received upon settlement
140Per-contract cash amount to be allocated upon settlement
0pagination objectrequired
The number of records skipped to fetch the current page
0The maximum number of records in the current page
The number of records to skip to fetch the next page
{
"data": [
{
"ProcessDate": "20240315",
"SettlementDate": "",
"OptionTicker": "AAGR1",
"UnderTicker": "AAGR",
"UnderType": "S",
"StrikeCurrency": "USD",
"TotalDelivComponents": 1,
"DeliveryComponents": 1,
"SettlementMethod": "CNS",
"StrikePercent": 100,
"DeliverableUnits": 140,
"CashAmount": 0
}
],
"pagination": {
"limit": 1000,
"next_offset": 2000,
"offset": 1000
}
}
- Schema
- Example (auto)
Schema
"string"
- Schema
- Example (auto)
Schema
"string"
Forbidden
- application/json
Validation Error
- application/json
- Schema
- Example (auto)
Schema
- Array [
- Array [anyOf
- string
- integer
- ]
- ]
detail object[]
loc object[]required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"ctx": {}
}
]
}
Request rejected because the identity or team exceeded a configured monthly or per-minute usage quota. When available, the response includes rate-limit headers describing the current quota.
Response Headers
Configured quota limit for the resource that was exceeded.
Remaining quota before the limit is reached. This is 0 when the request is rejected.
Number of seconds left in the current quota period before usage resets.
- application/json
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- postman-cli
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/data/us-equity-opt-ref/occ-eq-spec-settl");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Click the Send API Request button above and see the response here!